diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/functions.wp-styles.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/functions.wp-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/functions.wp-styles.php	2013-07-18 14:46:38.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/functions.wp-styles.php	2013-10-15 23:46:10.000000000 -0500
***************
*** 1,21 ****
  <?php
  /**
!  * BackPress styles procedural API.
   *
!  * @package BackPress
!  * @since r79
   */
  
  /**
!  * Display styles that are in the queue or part of $handles.
   *
!  * @since r79
!  * @uses do_action() Calls 'wp_print_styles' hook.
!  * @global object $wp_styles The WP_Styles object for printing styles.
   *
!  * @param array|bool $handles Styles to be printed. An empty array prints the queue,
!  *  an array with one string prints that style, and an array of strings prints those styles.
!  * @return bool True on success, false on failure.
   */
  function wp_print_styles( $handles = false ) {
  	if ( '' === $handles ) // for wp_head
--- 1,27 ----
  <?php
  /**
!  * BackPress Styles Procedural API
   *
!  * @since 2.6.0
!  *
!  * @package WordPress
!  * @subpackage BackPress
   */
  
  /**
!  * Display styles that are in the $handles queue.
   *
!  * Passing an empty array to $handles prints the queue,
!  * passing an array with one string prints that style,
!  * and passing an array of strings prints those styles.
   *
!  * @see do_action() Calls 'wp_print_styles' hook.
!  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
!  *
!  * @since 2.6.0
!  *
!  * @param array|bool $handles Styles to be printed. Default 'false'.
!  * @return array On success, a processed array of WP_Dependencies items; otherwise, an empty array.
   */
  function wp_print_styles( $handles = false ) {
  	if ( '' === $handles ) // for wp_head
***************
*** 40,54 ****
  }
  
  /**
!  * Adds extra CSS.
   *
!  * Works only if the stylesheet has already been added.
!  * Accepts a string $data containing the CSS. If two or more CSS code blocks are
!  * added to the same stylesheet $handle, they will be printed in the order
   * they were added, i.e. the latter added styles can redeclare the previous.
   *
   * @since 3.3.0
!  * @see WP_Scripts::add_inline_style()
   */
  function wp_add_inline_style( $handle, $data ) {
  	global $wp_styles;
--- 46,66 ----
  }
  
  /**
!  * Add extra CSS styles to a registered stylesheet.
   *
!  * Styles will only be added if the stylesheet in already in the queue.
!  * Accepts a string $data containing the CSS. If two or more CSS code blocks
!  * are added to the same stylesheet $handle, they will be printed in the order
   * they were added, i.e. the latter added styles can redeclare the previous.
   *
+  * @see WP_Styles::add_inline_style()
+  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
+  *
   * @since 3.3.0
!  *
!  * @param string $handle Name of the stylesheet to add the extra styles to. Must be lowercase.
!  * @param string $data   String containing the CSS styles to be added.
!  * @return bool True on success, false on failure.
   */
  function wp_add_inline_style( $handle, $data ) {
  	global $wp_styles;
***************
*** 59,82 ****
  		$wp_styles = new WP_Styles();
  	}
  
  	return $wp_styles->add_inline_style( $handle, $data );
  }
  
  /**
!  * Register CSS style file.
   *
!  * @since r79
!  * @see WP_Styles::add() For additional information.
!  * @global object $wp_styles The WP_Styles object for printing styles.
   * @link http://www.w3.org/TR/CSS2/media.html#media-types List of CSS media types.
   *
!  * @param string $handle Name of the stylesheet.
!  * @param string|bool $src Path to the stylesheet from the root directory of WordPress. Example: '/css/mystyle.css'.
!  * @param array $deps Array of handles of any stylesheet that this stylesheet depends on.
!  *  (Stylesheets that must be loaded before this stylesheet.) Pass an empty array if there are no dependencies.
!  * @param string|bool $ver String specifying the stylesheet version number. Set to null to disable.
!  *  Used to ensure that the correct version is sent to the client regardless of caching.
!  * @param string $media The media for which this stylesheet has been defined.
   */
  function wp_register_style( $handle, $src, $deps = array(), $ver = false, $media = 'all' ) {
  	global $wp_styles;
--- 71,101 ----
  		$wp_styles = new WP_Styles();
  	}
  
+ 	if ( false !== stripos( $data, '</style>' ) ) {
+ 		_doing_it_wrong( __FUNCTION__, 'Do not pass style tags to wp_add_inline_style().', '3.7' );
+ 		$data = trim( preg_replace( '#<style[^>]*>(.*)</style>#is', '$1', $data ) );
+ 	}
+ 
  	return $wp_styles->add_inline_style( $handle, $data );
  }
  
  /**
!  * Register a CSS stylesheet.
   *
!  * @see WP_Dependencies::add()
   * @link http://www.w3.org/TR/CSS2/media.html#media-types List of CSS media types.
+  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
   *
!  * @since 2.6.0
!  *
!  * @param string      $handle Name of the stylesheet.
!  * @param string|bool $src    Path to the stylesheet from the WordPress root directory. Example: '/css/mystyle.css'.
!  * @param array       $deps   An array of registered style handles this stylesheet depends on. Default empty array.
!  * @param string|bool $ver    String specifying the stylesheet version number. Used to ensure that the correct version
!  *                            is sent to the client regardless of caching. Default 'false'. Accepts 'false', 'null', or 'string'.
!  * @param string      $media  Optional. The media for which this stylesheet has been defined.
!  *                            Default 'all'. Accepts 'all', 'aural', 'braille', 'handheld', 'projection', 'print',
!  *                            'screen', 'tty', or 'tv'.
   */
  function wp_register_style( $handle, $src, $deps = array(), $ver = false, $media = 'all' ) {
  	global $wp_styles;
***************
*** 91,103 ****
  }
  
  /**
!  * Remove a registered CSS file.
   *
!  * @since r79
!  * @see WP_Styles::remove() For additional information.
!  * @global object $wp_styles The WP_Styles object for printing styles.
   *
!  * @param string $handle Name of the stylesheet.
   */
  function wp_deregister_style( $handle ) {
  	global $wp_styles;
--- 110,123 ----
  }
  
  /**
!  * Remove a registered stylesheet.
   *
!  * @see WP_Dependencies::remove()
!  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
   *
!  * @since 2.1.0
!  *
!  * @param string $handle Name of the stylesheet to be removed.
   */
  function wp_deregister_style( $handle ) {
  	global $wp_styles;
***************
*** 112,134 ****
  }
  
  /**
!  * Enqueue a CSS style file.
   *
!  * Registers the style if src provided (does NOT overwrite) and enqueues.
   *
!  * @since r79
!  * @see WP_Styles::add(), WP_Styles::enqueue()
!  * @global object $wp_styles The WP_Styles object for printing styles.
   * @link http://www.w3.org/TR/CSS2/media.html#media-types List of CSS media types.
   *
!  * @param string $handle Name of the stylesheet.
!  * @param string|bool $src Path to the stylesheet from the root directory of WordPress. Example: '/css/mystyle.css'.
!  * @param array $deps Array of handles (names) of any stylesheet that this stylesheet depends on.
!  *  (Stylesheets that must be loaded before this stylesheet.) Pass an empty array if there are no dependencies.
!  * @param string|bool $ver String specifying the stylesheet version number, if it has one. This parameter
!  *  is used to ensure that the correct version is sent to the client regardless of caching, and so should be included
!  *  if a version number is available and makes sense for the stylesheet.
!  * @param string $media The media for which this stylesheet has been defined.
   */
  function wp_enqueue_style( $handle, $src = false, $deps = array(), $ver = false, $media = 'all' ) {
  	global $wp_styles;
--- 132,156 ----
  }
  
  /**
!  * Enqueue a CSS stylesheet.
   *
!  * Registers the style if source provided (does NOT overwrite) and enqueues.
   *
!  * @see WP_Dependencies::add(), WP_Dependencies::enqueue()
   * @link http://www.w3.org/TR/CSS2/media.html#media-types List of CSS media types.
+  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
   *
!  * @since 2.6.0
!  *
!  * @param string      $handle Name of the stylesheet.
!  * @param string|bool $src    Path to the stylesheet from the root directory of WordPress. Example: '/css/mystyle.css'.
!  * @param array       $deps   An array of registered style handles this stylesheet depends on. Default empty array.
!  * @param string|bool $ver    String specifying the stylesheet version number, if it has one. This parameter is used
!  *                            to ensure that the correct version is sent to the client regardless of caching, and so
!  *                            should be included if a version number is available and makes sense for the stylesheet.
!  * @param string      $media  Optional. The media for which this stylesheet has been defined.
!  *                            Default 'all'. Accepts 'all', 'aural', 'braille', 'handheld', 'projection', 'print',
!  *                            'screen', 'tty', or 'tv'.
   */
  function wp_enqueue_style( $handle, $src = false, $deps = array(), $ver = false, $media = 'all' ) {
  	global $wp_styles;
***************
*** 147,156 ****
  }
  
  /**
!  * Remove an enqueued style.
   *
!  * @since WP 3.1
!  * @see WP_Styles::dequeue() For parameter information.
   */
  function wp_dequeue_style( $handle ) {
  	global $wp_styles;
--- 169,182 ----
  }
  
  /**
!  * Remove a previously enqueued CSS stylesheet.
!  *
!  * @see WP_Dependencies::dequeue()
!  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
!  *
!  * @since 3.1.0
   *
!  * @param string $handle Name of the stylesheet to be removed.
   */
  function wp_dequeue_style( $handle ) {
  	global $wp_styles;
***************
*** 165,183 ****
  }
  
  /**
!  * Check whether style has been added to WordPress Styles.
   *
!  * By default, checks if the style has been enqueued. You can also
!  * pass 'registered' to $list, to see if the style is registered,
!  * and you can check processing statuses with 'to_do' and 'done'.
   *
!  * @since WP unknown; BP unknown
!  * @global object $wp_styles The WP_Styles object for printing styles.
   *
   * @param string $handle Name of the stylesheet.
!  * @param string $list Optional. Defaults to 'enqueued'. Values are
!  * 	'registered', 'enqueued' (or 'queue'), 'to_do', and 'done'.
!  * @return bool Whether style is in the list.
   */
  function wp_style_is( $handle, $list = 'enqueued' ) {
  	global $wp_styles;
--- 191,206 ----
  }
  
  /**
!  * Check whether a CSS stylesheet has been added to the queue.
   *
!  * @global WP_Styles $wp_styles The WP_Styles object for printing styles.
   *
!  * @since 2.8.0
   *
   * @param string $handle Name of the stylesheet.
!  * @param string $list   Optional. Status of the stylesheet to check. Default 'enqueued'.
!  *                       Accepts 'enqueued', 'registered', 'queue', 'to_do', and 'done'.
!  * @return bool Whether style is queued.
   */
  function wp_style_is( $handle, $list = 'enqueued' ) {
  	global $wp_styles;
***************
*** 192,215 ****
  }
  
  /**
!  * Add metadata to CSS style files.
   *
   * Works only if the stylesheet has already been added.
   * Possible values for $key and $value:
   *
!  * conditional string      comments for IE 6, lte IE 7 etc.
!  * rtl         bool|string to declare an RTL stylesheet
!  * suffix      string      optional suffix, used in combination with RTL
!  * alt         bool        for rel="alternate stylesheet"
!  * title       string      for preferred/alternate stylesheets
   *
   * @since 3.6.0
-  * @see WP_Dependencies::add_data()
   *
!  * @param string $handle Script name.
!  * @param string $key Name of data point for which we're storing a value.
!  *  Values are 'conditional', 'rtl', and 'suffix', and 'alt', 'title'.
!  * @param mixed $data
   * @return bool True on success, false on failure.
   */
  function wp_style_add_data( $handle, $key, $value ) {
--- 215,239 ----
  }
  
  /**
!  * Add metadata to a CSS stylesheet.
   *
   * Works only if the stylesheet has already been added.
+  *
   * Possible values for $key and $value:
+  * 'conditional' string      Comments for IE 6, lte IE 7 etc.
+  * 'rtl'         bool|string To declare an RTL stylesheet.
+  * 'suffix'      string      Optional suffix, used in combination with RTL.
+  * 'alt'         bool        For rel="alternate stylesheet".
+  * 'title'       string      For preferred/alternate stylesheets.
   *
!  * @see WP_Dependency::add_data()
   *
   * @since 3.6.0
   *
!  * @param string $handle Name of the stylesheet.
!  * @param string $key    Name of data point for which we're storing a value.
!  *                       Accepts 'conditional', 'rtl' and 'suffix', 'alt' and 'title'.
!  * @param mixed  $data   String containing the CSS data to be added.
   * @return bool True on success, false on failure.
   */
  function wp_style_add_data( $handle, $key, $value ) {
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/general-template.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/general-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/general-template.php	2013-07-09 15:48:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/general-template.php	2013-10-22 12:22:11.000000000 -0500
***************
*** 172,178 ****
  			$form = '<form role="search" method="get" class="search-form" action="' . esc_url( home_url( '/' ) ) . '">
  				<label>
  					<span class="screen-reader-text">' . _x( 'Search for:', 'label' ) . '</span>
! 					<input type="search" class="search-field" placeholder="' . esc_attr_x( 'Search &hellip;', 'placeholder' ) . '" value="' . get_search_query() . '" name="s" title="' . _x( 'Search for:', 'label' ) . '" />
  				</label>
  				<input type="submit" class="search-submit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
  			</form>';
--- 172,178 ----
  			$form = '<form role="search" method="get" class="search-form" action="' . esc_url( home_url( '/' ) ) . '">
  				<label>
  					<span class="screen-reader-text">' . _x( 'Search for:', 'label' ) . '</span>
! 					<input type="search" class="search-field" placeholder="' . esc_attr_x( 'Search &hellip;', 'placeholder' ) . '" value="' . get_search_query() . '" name="s" title="' . esc_attr_x( 'Search for:', 'label' ) . '" />
  				</label>
  				<input type="submit" class="search-submit" value="'. esc_attr_x( 'Search', 'submit button' ) .'" />
  			</form>';
***************
*** 478,484 ****
  			$output = get_feed_link('comments_rss2');
  			break;
  		case 'pingback_url':
! 			$output = get_option('siteurl') .'/xmlrpc.php';
  			break;
  		case 'stylesheet_url':
  			$output = get_stylesheet_uri();
--- 478,484 ----
  			$output = get_feed_link('comments_rss2');
  			break;
  		case 'pingback_url':
! 			$output = site_url( 'xmlrpc.php' );
  			break;
  		case 'stylesheet_url':
  			$output = get_stylesheet_uri();
***************
*** 577,582 ****
--- 577,592 ----
  		$title = single_post_title( '', false );
  	}
  
+ 	// If there's a post type archive
+ 	if ( is_post_type_archive() ) {
+ 		$post_type = get_query_var( 'post_type' );
+ 		if ( is_array( $post_type ) )
+ 			$post_type = reset( $post_type );
+ 		$post_type_object = get_post_type_object( $post_type );
+ 		if ( ! $post_type_object->has_archive )
+ 			$title = post_type_archive_title( '', false );
+ 	}
+ 
  	// If there's a category or tag
  	if ( is_category() || is_tag() ) {
  		$title = single_term_title( '', false );
***************
*** 585,602 ****
  	// If there's a taxonomy
  	if ( is_tax() ) {
  		$term = get_queried_object();
! 		$tax = get_taxonomy( $term->taxonomy );
! 		$title = single_term_title( $tax->labels->name . $t_sep, false );
  	}
  
  	// If there's an author
  	if ( is_author() ) {
  		$author = get_queried_object();
! 		$title = $author->display_name;
  	}
  
! 	// If there's a post type archive
! 	if ( is_post_type_archive() )
  		$title = post_type_archive_title( '', false );
  
  	// If there's a month
--- 595,615 ----
  	// If there's a taxonomy
  	if ( is_tax() ) {
  		$term = get_queried_object();
! 		if ( $term ) {
! 			$tax = get_taxonomy( $term->taxonomy );
! 			$title = single_term_title( $tax->labels->name . $t_sep, false );
! 		}
  	}
  
  	// If there's an author
  	if ( is_author() ) {
  		$author = get_queried_object();
! 		if ( $author )
! 			$title = $author->display_name;
  	}
  
! 	// Post type archives with has_archive should override terms.
! 	if ( is_post_type_archive() && $post_type_object->has_archive )
  		$title = post_type_archive_title( '', false );
  
  	// If there's a month
***************
*** 677,683 ****
  	if ( $display )
  		echo $prefix . $title;
  	else
! 		return $title;
  }
  
  /**
--- 690,696 ----
  	if ( $display )
  		echo $prefix . $title;
  	else
! 		return $prefix . $title;
  }
  
  /**
***************
*** 696,708 ****
  	if ( ! is_post_type_archive() )
  		return;
  
! 	$post_type_obj = get_queried_object();
  	$title = apply_filters('post_type_archive_title', $post_type_obj->labels->name );
  
  	if ( $display )
  		echo $prefix . $title;
  	else
! 		return $title;
  }
  
  /**
--- 709,725 ----
  	if ( ! is_post_type_archive() )
  		return;
  
! 	$post_type = get_query_var( 'post_type' );
! 	if ( is_array( $post_type ) )
! 		$post_type = reset( $post_type );
! 
! 	$post_type_obj = get_post_type_object( $post_type );
  	$title = apply_filters('post_type_archive_title', $post_type_obj->labels->name );
  
  	if ( $display )
  		echo $prefix . $title;
  	else
! 		return $prefix . $title;
  }
  
  /**
***************
*** 785,791 ****
  	if ( $display )
  		echo $prefix . $term_name;
  	else
! 		return $term_name;
  }
  
  /**
--- 802,808 ----
  	if ( $display )
  		echo $prefix . $term_name;
  	else
! 		return $prefix . $term_name;
  }
  
  /**
***************
*** 866,882 ****
   */
  function get_archives_link($url, $text, $format = 'html', $before = '', $after = '') {
  	$text = wptexturize($text);
- 	$title_text = esc_attr($text);
  	$url = esc_url($url);
  
  	if ('link' == $format)
! 		$link_html = "\t<link rel='archives' title='$title_text' href='$url' />\n";
  	elseif ('option' == $format)
  		$link_html = "\t<option value='$url'>$before $text $after</option>\n";
  	elseif ('html' == $format)
! 		$link_html = "\t<li>$before<a href='$url' title='$title_text'>$text</a>$after</li>\n";
  	else // custom
! 		$link_html = "\t$before<a href='$url' title='$title_text'>$text</a>$after\n";
  
  	$link_html = apply_filters( 'get_archives_link', $link_html );
  
--- 883,898 ----
   */
  function get_archives_link($url, $text, $format = 'html', $before = '', $after = '') {
  	$text = wptexturize($text);
  	$url = esc_url($url);
  
  	if ('link' == $format)
! 		$link_html = "\t<link rel='archives' title='" . esc_attr( $text ) . "' href='$url' />\n";
  	elseif ('option' == $format)
  		$link_html = "\t<option value='$url'>$before $text $after</option>\n";
  	elseif ('html' == $format)
! 		$link_html = "\t<li>$before<a href='$url'>$text</a>$after</li>\n";
  	else // custom
! 		$link_html = "\t$before<a href='$url'>$text</a>$after\n";
  
  	$link_html = apply_filters( 'get_archives_link', $link_html );
  
***************
*** 1062,1071 ****
  			foreach ( (array) $results as $result ) {
  				if ( $result->post_date != '0000-00-00 00:00:00' ) {
  					$url  = get_permalink( $result );
! 					if ( $result->post_title )
  						$text = strip_tags( apply_filters( 'the_title', $result->post_title, $result->ID ) );
! 					else
  						$text = $result->ID;
  					$output .= get_archives_link($url, $text, $format, $before, $after);
  				}
  			}
--- 1078,1089 ----
  			foreach ( (array) $results as $result ) {
  				if ( $result->post_date != '0000-00-00 00:00:00' ) {
  					$url  = get_permalink( $result );
! 					if ( $result->post_title ) {
! 						/** This filter is documented in wp-includes/post-template.php */
  						$text = strip_tags( apply_filters( 'the_title', $result->post_title, $result->ID ) );
! 					} else {
  						$text = $result->ID;
+ 					}
  					$output .= get_archives_link($url, $text, $format, $before, $after);
  				}
  			}
***************
*** 1250,1255 ****
--- 1268,1274 ----
  	if ( $ak_post_titles ) {
  		foreach ( (array) $ak_post_titles as $ak_post_title ) {
  
+ 				/** This filter is documented in wp-includes/post-template.php */
  				$post_title = esc_attr( apply_filters( 'the_title', $ak_post_title->post_title, $ak_post_title->ID ) );
  
  				if ( empty($ak_titles_for_day['day_'.$ak_post_title->dom]) )
***************
*** 1639,1646 ****
  
  	$args = wp_parse_args( $args, $defaults );
  
! 	echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . esc_attr(sprintf( $args['feedtitle'], get_bloginfo('name'), $args['separator'] )) . '" href="' . get_feed_link() . "\" />\n";
! 	echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . esc_attr(sprintf( $args['comstitle'], get_bloginfo('name'), $args['separator'] )) . '" href="' . get_feed_link( 'comments_' . get_default_feed() ) . "\" />\n";
  }
  
  /**
--- 1658,1665 ----
  
  	$args = wp_parse_args( $args, $defaults );
  
! 	echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . esc_attr( sprintf( $args['feedtitle'], get_bloginfo('name'), $args['separator'] ) ) . '" href="' . esc_url( get_feed_link() ) . "\" />\n";
! 	echo '<link rel="alternate" type="' . feed_content_type() . '" title="' . esc_attr( sprintf( $args['comstitle'], get_bloginfo('name'), $args['separator'] ) ) . '" href="' . esc_url( get_feed_link( 'comments_' . get_default_feed() ) ) . "\" />\n";
  }
  
  /**
***************
*** 1670,1676 ****
  
  	$args = wp_parse_args( $args, $defaults );
  
! 	if ( is_single() || is_page() ) {
  		$id = 0;
  		$post = get_post( $id );
  
--- 1689,1695 ----
  
  	$args = wp_parse_args( $args, $defaults );
  
! 	if ( is_singular() ) {
  		$id = 0;
  		$post = get_post( $id );
  
***************
*** 1678,1693 ****
  			$title = sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) );
  			$href = get_post_comments_feed_link( $post->ID );
  		}
  	} elseif ( is_category() ) {
  		$term = get_queried_object();
  
! 		$title = sprintf( $args['cattitle'], get_bloginfo('name'), $args['separator'], $term->name );
! 		$href = get_category_feed_link( $term->term_id );
  	} elseif ( is_tag() ) {
  		$term = get_queried_object();
  
! 		$title = sprintf( $args['tagtitle'], get_bloginfo('name'), $args['separator'], $term->name );
! 		$href = get_tag_feed_link( $term->term_id );
  	} elseif ( is_author() ) {
  		$author_id = intval( get_query_var('author') );
  
--- 1697,1724 ----
  			$title = sprintf( $args['singletitle'], get_bloginfo('name'), $args['separator'], esc_html( get_the_title() ) );
  			$href = get_post_comments_feed_link( $post->ID );
  		}
+ 	} elseif ( is_post_type_archive() ) {
+ 		$post_type = get_query_var( 'post_type' );
+ 		if ( is_array( $post_type ) )
+ 			$post_type = reset( $post_type );
+ 
+ 		$post_type_obj = get_post_type_object( $post_type );
+ 		$title = sprintf( $args['posttypetitle'], get_bloginfo( 'name' ), $args['separator'], $post_type_obj->labels->name );
+ 		$href = get_post_type_archive_feed_link( $post_type_obj->name );
  	} elseif ( is_category() ) {
  		$term = get_queried_object();
  
! 		if ( $term ) {
! 			$title = sprintf( $args['cattitle'], get_bloginfo('name'), $args['separator'], $term->name );
! 			$href = get_category_feed_link( $term->term_id );
! 		}
  	} elseif ( is_tag() ) {
  		$term = get_queried_object();
  
! 		if ( $term ) {
! 			$title = sprintf( $args['tagtitle'], get_bloginfo('name'), $args['separator'], $term->name );
! 			$href = get_tag_feed_link( $term->term_id );
! 		}
  	} elseif ( is_author() ) {
  		$author_id = intval( get_query_var('author') );
  
***************
*** 1698,1704 ****
  		$href = get_search_feed_link();
  	} elseif ( is_post_type_archive() ) {
  		$title = sprintf( $args['posttypetitle'], get_bloginfo('name'), $args['separator'], post_type_archive_title( '', false ) );
! 		$href = get_post_type_archive_feed_link( get_queried_object()->name );
  	}
  
  	if ( isset($title) && isset($href) )
--- 1729,1737 ----
  		$href = get_search_feed_link();
  	} elseif ( is_post_type_archive() ) {
  		$title = sprintf( $args['posttypetitle'], get_bloginfo('name'), $args['separator'], post_type_archive_title( '', false ) );
! 		$post_type_obj = get_queried_object();
! 		if ( $post_type_obj )
! 			$href = get_post_type_archive_feed_link( $post_type_obj->name );
  	}
  
  	if ( isset($title) && isset($href) )
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/http.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/http.php	2013-07-31 01:46:02.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/http.php	2013-09-08 17:04:09.000000000 -0500
***************
*** 338,348 ****
  	if ( ! empty ( $_SERVER[ 'HTTP_ORIGIN' ] ) )
  		$origin = $_SERVER[ 'HTTP_ORIGIN' ];
  
  	return apply_filters( 'http_origin', $origin );
  }
  
  /**
!  * Retrieve list of allowed http origins.
   *
   * @since 3.4.0
   *
--- 338,355 ----
  	if ( ! empty ( $_SERVER[ 'HTTP_ORIGIN' ] ) )
  		$origin = $_SERVER[ 'HTTP_ORIGIN' ];
  
+ 	/**
+ 	 * Change the origin of an HTTP request.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $origin The original origin for the request.
+ 	 */
  	return apply_filters( 'http_origin', $origin );
  }
  
  /**
!  * Retrieve list of allowed HTTP origins.
   *
   * @since 3.4.0
   *
***************
*** 360,370 ****
  		'https://' . $home_origin[ 'host' ],
  	) );
  
  	return apply_filters( 'allowed_http_origins' , $allowed_origins );
  }
  
  /**
!  * Determines if the http origin is an authorized one.
   *
   * @since 3.4.0
   *
--- 367,390 ----
  		'https://' . $home_origin[ 'host' ],
  	) );
  
+ 	/**
+ 	 * Change the origin types allowed for HTTP requests.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param array $allowed_origins {
+ 	 *     Default allowed HTTP origins.
+ 	 *     @type string Non-secure URL for admin origin.
+ 	 *     @type string Secure URL for admin origin.
+ 	 *     @type string Non-secure URL for home origin.
+ 	 *     @type string Secure URL for home origin.
+ 	 * }
+ 	 */
  	return apply_filters( 'allowed_http_origins' , $allowed_origins );
  }
  
  /**
!  * Determines if the HTTP origin is an authorized one.
   *
   * @since 3.4.0
   *
***************
*** 380,385 ****
--- 400,413 ----
  	if ( $origin && ! in_array( $origin, get_allowed_http_origins() ) )
  		$origin = '';
  
+ 	/**
+ 	 * Change the allowed HTTP origin result.
+ 	 *
+ 	 * @since 3.4.0
+ 	 *
+ 	 * @param string $origin Result of check for allowed origin.
+ 	 * @param string $origin_arg original origin string passed into is_allowed_http_origin function.
+ 	 */
  	return apply_filters( 'allowed_http_origin', $origin, $origin_arg );
  }
  
***************
*** 458,463 ****
--- 486,502 ----
  				|| ( 192 === $parts[0] && 168 === $parts[1] )
  			) {
  				// If host appears local, reject unless specifically allowed.
+ 				/**
+ 				 * Check if HTTP request is external or not.
+ 				 *
+ 				 * Allows to change and allow external requests for the HTTP request.
+ 				 *
+ 				 * @since 3.6.0
+ 				 *
+ 				 * @param bool false Whether HTTP request is external or not.
+ 				 * @param string $host IP of the requested host.
+ 				 * @param string $url URL of the requested host.
+ 				 */
  				if ( ! apply_filters( 'http_request_host_is_external', false, $host, $url ) )
  					return false;
  			}
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/autosave.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/autosave.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/js/autosave.js	2013-07-29 01:12:03.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/js/autosave.js	2013-10-22 16:27:09.000000000 -0500
***************
*** 141,148 ****
  	}
  
  	// When connection is lost, keep user from submitting changes.
! 	$(document).on('heartbeat-connection-lost.autosave', function( e, error ) {
! 		if ( 'timeout' === error ) {
  			var notice = $('#lost-connection-notice');
  			if ( ! wp.autosave.local.hasStorage ) {
  				notice.find('.hide-if-no-sessionstorage').hide();
--- 141,148 ----
  	}
  
  	// When connection is lost, keep user from submitting changes.
! 	$(document).on('heartbeat-connection-lost.autosave', function( e, error, status ) {
! 		if ( 'timeout' === error || 503 == status ) {
  			var notice = $('#lost-connection-notice');
  			if ( ! wp.autosave.local.hasStorage ) {
  				notice.find('.hide-if-no-sessionstorage').hide();
